Bug 1259250 - Please add two input methods for Simplified Chinese Users by default.
Please add two input methods for Simplified Chinese Users by default.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-initial-setup (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rui Matos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 05:43 EDT by Peng Wu
Modified: 2017-12-12 05:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:03:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peng Wu 2015-09-02 05:43:01 EDT
Description of problem:
gnome-initial-setup only allow one input method to be added for Simplified Chinese.

Actually, for Simplified Chinese users both input method are needed to be added.

"Intelligent Pinyin" is used to input Chinese characters.
"Chinese" is used to input English.
Both are needed by Simplified Chinese users, we need to input both Chinese and English.

Version-Release number of selected component (if applicable):
Fedora-Live-Workstation-x86_64-23_Beta-TC1.iso

How reproducible:
Install Fedora Live Workstation x86_64 23 Beta TC1.


Steps to Reproduce:
1. run /usr/libexec/gnome-initial-setup;
2. Choose "汉语";
3. Select "Intelligent Pinyin";

Actual results:
Only one input method can be configured.

Expected results:
Both input methods ("Intelligent Pinyin" and "Chinese") should be selected and added by default.


Additional info:
Comment 1 Mike FABIAN 2015-09-02 05:58:48 EDT
The keyboard layout(s) used in Anaconda is/are automatically added.
So the “Chinese” keyboard layout is automatically added if it was used
in Anaconda.

But this is quite hard to understand for the user, it is invisible.

It would be better to have checkmarks displayed for all input methods/layouts
the user will get. And allow the user to select more than one.
Comment 2 Mike FABIAN 2015-09-02 05:59:36 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=1148358 is a similar bug.
Comment 3 Fedora End Of Life 2016-11-24 07:26:15 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Peng Wu 2016-11-24 22:33:52 EST
Same on F25...
Comment 5 Fedora End Of Life 2017-11-16 13:58:42 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2017-12-12 05:03:53 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.